Skip to main content
POST
Update roadmap item

Authorizations

X-API-Key
string
header
required

Preferred. API key value directly.

Query Parameters

id
string

Roadmap item id.

Example:

"YOUR_ID"

status
string

exploring | planned | in_progress | beta | released.

Example:

"YOUR_STATUS"

releaseVersion
string

For example v2.4.0. Only with status released.

Example:

"YOUR_RELEASEVERSION"

releaseDate
string

ISO date, for example 2026-10-15. Only with status released.

Example:

"YOUR_RELEASEDATE"

releaseNotes
string

Release notes. Only with status released.

Example:

"YOUR_RELEASENOTES"

source
string

Who is calling (a-z, 0-9, - and _, up to 32). Echoed as data.source in the webhook; defaults to api.

Example:

"YOUR_SOURCE"

Body

application/json
id
string
required

Roadmap item id.

Example:

"YOUR_ID"

status
string

exploring | planned | in_progress | beta | released.

Example:

"YOUR_STATUS"

releaseVersion
string

For example v2.4.0. Only with status released.

Example:

"YOUR_RELEASEVERSION"

releaseDate
string

ISO date, for example 2026-10-15. Only with status released.

Example:

"YOUR_RELEASEDATE"

releaseNotes
string

Release notes. Only with status released.

Example:

"YOUR_RELEASENOTES"

source
string

Who is calling (a-z, 0-9, - and _, up to 32). Echoed as data.source in the webhook; defaults to api.

Example:

"YOUR_SOURCE"

Response

Success. Envelope: { success:true, data, message? }.

success
boolean
required
Example:

true

data
any
message
string
pagination
object
total
number